July 2020 VMWare Player and Workstation won’t compile their modules on kernel 5.7.6-201.fc32.x86_64 Fedora 32

Written by James McDonald

July 11, 2020

So just had to downgrade my running Kernel to use an earlier one using:

grubby --set-default /boot/vmlinuz-5.6.19-300.fc32.x86_64

I couldn’t get the the vmware modules to compile on 5.7.6-201.fc32.x86_64. These things change rapidly and they will probably make an update that works shortly but just in case you are wondering here are the versions I had trouble with on the aforementioned kernel

VMware-Player-15.5.2-15785246.x86_64.bundle
VMware-Workstation-Full-15.5.6-16341506.x86_64.bundle

0 Comments

Submit a Comment

Your email address will not be published. Required fields are marked *

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.

The reCAPTCHA verification period has expired. Please reload the page.

You May Also Like…

Clear HSTS Settings in CHrome

Open chrome://net-internals/#hsts enter the domain in the query field and click Query to confirm it has HSTS settings...

Ubuntu on Hyper-v

It boils town to installing linux-azure # as root or sudo apt-get update apt-get install linux-azure...